Coins Categories List with Market Data
curl --request GET \
--url https://api.coingecko.com/api/v3/coins/categories \
--header 'x-cg-demo-api-key: <api-key>'[
{
"id": "smart-contract-platform",
"name": "Smart Contract Platform",
"market_cap": 2176528015490.1301,
"market_cap_change_24h": -0.4907335508040635,
"content": "Smart contract platforms are usually blockchains that host smart contracts or decentralized applications.",
"top_3_coins_id": [
"bitcoin",
"ethereum",
"binancecoin"
],
"top_3_coins": [
"https://coin-images.coingecko.com/coins/images/1/small/bitcoin.png",
"https://coin-images.coingecko.com/coins/images/279/small/ethereum.png",
"https://coin-images.coingecko.com/coins/images/825/small/bnb-icon2_2x.png"
],
"volume_24h": 45616943988.58024,
"updated_at": "2026-05-26T10:02:24.777Z"
},
{
"id": "layer-1",
"name": "Layer 1 (L1)",
"market_cap": 2152576804747.1516,
"market_cap_change_24h": -0.538526079299288,
"content": "Layer 1 serves as the primary and autonomous chain on which transactions are directly executed and confirmed.",
"top_3_coins_id": [
"bitcoin",
"ethereum",
"binancecoin"
],
"top_3_coins": [
"https://coin-images.coingecko.com/coins/images/1/small/bitcoin.png",
"https://coin-images.coingecko.com/coins/images/279/small/ethereum.png",
"https://coin-images.coingecko.com/coins/images/825/small/bnb-icon2_2x.png"
],
"volume_24h": 44289945362.19749,
"updated_at": "2026-05-26T10:01:55.213Z"
}
]Categories
Coins Categories List with Market Data
To query all the coins categories with market data (market cap, volume, etc.) on CoinGecko
GET
/
coins
/
categories
Coins Categories List with Market Data
curl --request GET \
--url https://api.coingecko.com/api/v3/coins/categories \
--header 'x-cg-demo-api-key: <api-key>'[
{
"id": "smart-contract-platform",
"name": "Smart Contract Platform",
"market_cap": 2176528015490.1301,
"market_cap_change_24h": -0.4907335508040635,
"content": "Smart contract platforms are usually blockchains that host smart contracts or decentralized applications.",
"top_3_coins_id": [
"bitcoin",
"ethereum",
"binancecoin"
],
"top_3_coins": [
"https://coin-images.coingecko.com/coins/images/1/small/bitcoin.png",
"https://coin-images.coingecko.com/coins/images/279/small/ethereum.png",
"https://coin-images.coingecko.com/coins/images/825/small/bnb-icon2_2x.png"
],
"volume_24h": 45616943988.58024,
"updated_at": "2026-05-26T10:02:24.777Z"
},
{
"id": "layer-1",
"name": "Layer 1 (L1)",
"market_cap": 2152576804747.1516,
"market_cap_change_24h": -0.538526079299288,
"content": "Layer 1 serves as the primary and autonomous chain on which transactions are directly executed and confirmed.",
"top_3_coins_id": [
"bitcoin",
"ethereum",
"binancecoin"
],
"top_3_coins": [
"https://coin-images.coingecko.com/coins/images/1/small/bitcoin.png",
"https://coin-images.coingecko.com/coins/images/279/small/ethereum.png",
"https://coin-images.coingecko.com/coins/images/825/small/bnb-icon2_2x.png"
],
"volume_24h": 44289945362.19749,
"updated_at": "2026-05-26T10:01:55.213Z"
}
]Notes
- To get coins within a specific category, use Coins List with Market Data with the
categoryparameter. - Equivalent page on CoinGecko Categories.
SDK Examples
const response = await client.coins.categories.get();
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Sort results by field.
Default: market_cap_desc
Available options:
market_cap_desc, market_cap_asc, name_desc, name_asc, market_cap_change_24h_desc, market_cap_change_24h_asc Response
200 - application/json
List of coin categories with market data
Category ID
Category name
Category market cap
Category market cap change in 24 hours
Category description
IDs of top 3 coins in the category
Image URLs of top 3 coins in the category
Category trading volume in 24 hours
Category last updated timestamp
Was this page helpful?
⌘I

